[Eslint] Get browser.js and nsBrowserGlue.js passing for no-undef and fix up some places issues
Looking into bug  I discovered that there were a lot of undefined vars in browser.js. These are due to the fact that we don't handle the specific form of some getter imports (see bug 

This form is used in nsBrowserGlue.js as well.

The places changes are for starting to fix up the places tests.

Overall, this kills about a  of the  no-undef failures we have in 
